#include <linux/kernel.h>
#include <linux/malloc.h>
#include <linux/version.h>
#include <linux/module.h>
#include <linux/tcfs/tcfsapi.h>

static void *init_key (char *key)
{
	int *i;

	i=kmalloc(KEYSIZE, GFP_KERNEL);
	memset (i, 4, KEYSIZE);

	return i;
}

static void encrypt(char *block, int nb, void *key)
{
}

static void decrypt(char *block, int nb, void *key)
{
}

static void delete_key(void *key)
{
	if (key)
		kfree (key);
}


static struct tcfs_cipher_operations tcfs_null_ops = {
	init_key,
	delete_key,
	encrypt,
	decrypt
};

int
init_module (void)
{
	tcfs_register_cipher ("null", &tcfs_null_ops);

	return 0;
}

void
cleanup_module (void)
{
	tcfs_unregister_cipher ("null");

	return ;
}
